INSERT INTO dwd.active_df(relation_id,user_id,ds,ds_date)

SELECT  t1.relation_id
        ,t2.user_id
        ,t2.ds
        ,'${biz-date}' ds_date
FROM    dim.game_product_relation t1
INNER JOIN pubdata_center.ods.active_account_list t2
ON      t1.game_channel_id = t2.channel_id
AND     t1.game_identity = t2.game_identity
AND     t1.game_platform_id = t2.platform_id
where ds='${bizdate}'
GROUP BY t1.relation_id
        ,t2.user_id
        ,t2.ds
ON CONFLICT (relation_id, user_id, ds)
DO NOTHING;